package fmon.battle

import javafx.fxml.FXML
import javafx.scene.{control => jfxsc}

import scalafx.Includes._
import scalafx.scene.control._

import fmon.stat.Move

class MoveButton {
  @FXML var moveBtn: jfxsc.Button = _
  @FXML var moveName: jfxsc.Label = _
  @FXML var moveUses: jfxsc.Label = _
  private var move: Move = _
  
  def setup(mv: Move): Unit = {
    move = mv
    moveName.text = mv.name
    moveUses.text = s"${move.pp}/${move.pp}"
  }
  
  def moveActivate(): Unit = {
    println("We should take a turn here")
    println(s"${moveBtn.width}")
  }
}